pydo.monitoring.get_sink()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.monitoring.get_sink(sink_uuid="78b172b6-52c3-4a4b-96d5-78d3f1a0b18c")
Returns JSONRaises HttpResponseError

Description

To get the details of a sink (resources and destination), send a GET request to /v2/monitoring/sinks/${sink_uuid}.

Parameters

sink_uuid string required

A unique identifier for a sink.

Response Example

Show Response Example
{
  "sink": {
    "destination": {
      "id": "01f30bfa-319a-4769-ba95-9d43971fb514",
      "name": "managed_opensearch_cluster",
      "type": "opensearch_dbaas"
    },
    "resources": []
  }
}

More Information

See /v2/monitoring/sinks/{sink_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.